# [[file:arroyo-native-parser.org::*Python package built with =maturin=][Python package built with =maturin=:1]]
{
  pkgs ? import <nixpkgs> {},
  lib  ? pkgs.lib,

  python3 ? pkgs.python3,
}:

python3.pkgs.buildPythonPackage rec {
  pname = "arroyo_rs";
  version = "0.0.1";
  format = "pyproject";

  src = ./.;

  nativeBuildInputs = with pkgs; [
    cargo rustc
  ] ++ (with pkgs.rustPlatform; [
    maturinBuildHook
    cargoSetupHook
  ]);

  propagatedBuildInputs = with pkgs; [
    python3.pkgs.click
  ];

  cargoDeps = pkgs.rustPlatform.importCargoLock {
    lockFile = ./Cargo.lock;

    outputHashes = {
      "orgize-0.9.0" = "sha256-Nn7+nQVBn2Gn0+uHvlY8NKSV/bPVEQK9sFPTzTAcDWY=";
    };
  };

  # when i `nix build' everything works; when i `nix-build' it fails
  # because it tries to install a `linux' wheel and a `manylinux'
  # wheel that conflict. no idea why since maturinBuildHook etc should
  # be disabling manylinux
  postBuild = "rm dist/*manylinux*.whl || true";

  meta = with lib; {
    description = "An Org-Mode parser library for the arcology project";
    homepage = "https://cce.whatthefuck.computer/arroyo";
    license = licenses.unfree;
    maintainers = with maintainers; [ rrix ];
  };
}
# Python package built with =maturin=:1 ends here
